package com.ruoyi.cms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.cms.domain.vo.AppSkillVo;
import com.ruoyi.common.core.domain.entity.AppSkill;

import java.util.List;

/**
 * 用户技能信息
 *
 * @author 
 * @email 
 * @date 2025-10-21 12:22:09
 */
public interface AppSkillMapper extends BaseMapper<AppSkill> {

    List<AppSkill> getList(AppSkill appSkill);

    int batchInsert(List<AppSkill> list);

    List<AppSkillVo> getUserSkillList(AppSkill appSkill);
}
